
public class Main {

	public static void main(String[] args) throws CloneNotSupportedException {
		LinkedList l1 = new LinkedList();
		l1.add(new Student("Mohammad"));
		l1.add(new Student("Nabil"));
		l1.add(new Student("Alqayeem"));
		l1.print();
		System.out.println("----------------------");
		LinkedList l2 = l1.clone();
		l2.add(new Student("Hussain"));
		l2.print();
		
		
		
		
		System.out.println("----------------------");
		Student temp = l2.get(0);
		temp.setName("LLLLLLLLLL");
		System.out.println("--------------");
		l2.print();
		System.out.println("------------");
		l1.print();


		

	}

}
